Has patch: Hito:
Add-on name: Unknown
Description

Cargamos una capa en una vista dentro del nuevo layout
Vamos a las propiedades y activamos el grid
Aceptamos pero no visualizamos el grid
Volvemos a propiedades y observamos que no está activo.

Adjunto log

Associated revisions
Revision 289 - 10/15/2014 04:56 PM - Cesar Martinez Izquierdo

Ensure mapcontext is not null. Possibly fixes #2875.

History
#1 - 10/14/2014 12:45 PM - Álvaro Anguix

En una segunda prueba no me ha dado problemas.
No sé si aparecerá algo en el log.

#2 - 10/14/2014 12:46 PM - Álvaro Anguix
- Status changed from New to Invalid

#3 - 10/14/2014 02:01 PM - Cesar Martinez Izquierdo

En el log aparece un error pero no parece tener que ver con el Layout.

#4 - 10/15/2014 05:56 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2250-testing

#5 - 10/15/2014 02:09 PM - Antonio Falciano
- Target version changed from 2.1.0-2250-testing to 2.1.0-2259-rc3
- Status changed from Invalid to New
It happens also in build 2250, at least in Windows 7. However there's not trace of error in the gvSIG.log.

#6 - 10/15/2014 04:51 PM - Cesar Martinez Izquierdo

I have been able to reproduce the error when trying to open the Grid dialog when no view has been selected yet.
Is this the same error you are getting, or have you got it using a different workflow? Could you please describe this workflow?

#7 - 10/15/2014 06:31 PM - Álvaro Anguix

Por lo que he podido observar no es algo que ocurre con el grid, sino con la ventana de propiedades de la Vista en el layout en general.
Por ejemplo, creo un documento vista y añado una capa cualquiera.
Creo un layout y le digo que inserte una vista nueva (y no la ya creada).
Voy al layout, botón derecho sobre la vista  (vacia) y propiedades.
Le digo que esa vista pase a ser la vista con el shape cargado.
Al dar a aceptar aparentemente lo hace, pues en el TOC del layout se ve la capa...pero no en la Vista.
Me pongo sobre la Vista, vuelvo a dar al botón derecho y:
- desaparece la capa del TOC
- aparece marcada la vista sin el shape.

Es decir...no hace caso a lo que le decimos y parece que vuelve siempre a un estado previo al definido.

#8 - 10/15/2014 06:31 PM - Álvaro Anguix
- File gvSIG.log added

Adjunto nuevo log por si se ve algo en él.

#9 - 10/16/2014 02:40 AM - Antonio Falciano

Cesar Martinez Izquierdo wrote:

I have been able to reproduce the error when trying to open the Grid dialog when no view has been selected yet.
Is this the same error you are getting, or have you got it using a different workflow? Could you please describe this workflow?

These are the steps I follow:
    -  create a view and add a whatever shapefile;
    -  create a map inserting the view created before and setting the margins (e.g. 2 cm in all directions);
    -  right click on the map and choose the Properties option;
    -  activate the "Show grid" check box;
    -  configure the grid setting the interval properties;
    -  accept the "Grid properties" and the "View properties".

Result: the map is refreshed, but no grid is created.

#10 - 10/16/2014 02:55 AM - Cesar Martinez Izquierdo
- % Done changed from 0 to 100
- Status changed from New to Fixed
Applied in changeset gvsig-app-document-layout:svn-document-layout|r289.

#11 - 10/16/2014 03:45 AM - Cesar Martinez Izquierdo
- Status changed from Fixed to In progress

Now I have been able to reproduce the error ONLY if I don't configure the grid after setting the checkbox. It works fine otherwise on my environment.

#12 - 10/16/2014 05:35 AM - Cesar Martinez Izquierdo
- Status changed from In progress to Fixed

#13 - 10/16/2014 05:45 AM - Cesar Martinez Izquierdo

It should be fixed for the next build, please reopen it if you can still reproduce it then.

#14 - 10/16/2014 07:24 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2251-testing

#15 - 10/17/2014 05:19 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 13.5 KB 10/14/2014 Álvaro Anguix
gvSIG.log 325 KB 10/15/2014 Álvaro Anguix
